

%macro mvallab ;  
   .  = "Logical skip"
  .D  = "Don't know"
  .M  = "Missing"
  .N  = "Not applicable"
  .R  = "Refused"
  .X  = "Multiple responses"
  .V  = "Not used in this version" 
%mend ;

PROC FORMAT;


VALUE YESNO
   0       ="No"
   1       ="Yes"
   %mvallab
   ;

VALUE ASS
   0="0 assessment services offered"
   1="1 assessment service offered"
   2="2 assessment services offered"
   3="3 assessment services offered"
   4="4 assessment services offered"
   5="5 assessment services offered"
   6="6 assessment services offered"
   7="7 assessment services offered"
   %mvallab
   ;

VALUE TST
   0="0 testing services offered"
   1="1 testing service offered"
   2="2 testing services offered"
   3="3 testing services offered"
   4="4 testing services offered"
   5="5 testing services offered"
   6="6 testing services offered"
   7="7 testing services offered"
   %mvallab
   ;

VALUE TRNS
   0="0 transition services offered"
   1="1 transition service offered"
   2="2 transition services offered"
   %mvallab
   ;

VALUE ANC
   0="0 ancillary services offered"
   1="1 ancillary service offered"
   2="2 ancillary services offered"
   3="3 ancillary services offered"
   4="4 ancillary services offered"
   5="5 ancillary services offered"
   6="6 ancillary services offered"
   7="7 ancillary services offered"
   8="8 ancillary services offered"
   9="9 ancillary services offered"
   10="10 ancillary services offered"
   11="11 ancillary services offered"
   12="12 ancillary services offered"
   13="13 ancillary services offered"
   14="14 ancillary services offered"
   15="15 ancillary services offered"
   16="16 ancillary services offered"
   17="17 ancillary services offered"
   18="18 ancillary services offered"
   19="19 ancillary services offered"
   %mvallab
   ;

VALUE OTHS
   0="0 other services offered"
   1="1 other service offered"
   2="2 other services offered"
   3="3 other services offered"
   %mvallab
   ;

VALUE OWNERSHP
   1='Private-for-profit org'
   2='Private non-profit org'
   3='State govt'
   4='Local, county, or community govt'
   5='Tribal govt'
   6='Federal govt'
   %mvallab
   ;

VALUE FEDOWN
   1='Dept of Veterans Affairs'
   2='Dept of Defense'
   3='Indian Health Service'
   4='Other'
   %mvallab
   ;

VALUE LOCS
   1='General hospital (including VA hospital)'
   2='Psychiatric hospital'
   3='Other specialty hospital'
   %mvallab
   ;

VALUE SACNSL
   1='Never'
   2='Rarely'
   3='Sometimes'
   4='Always/often'
   5='Approach unfamiliar'
   %mvallab
   ;


VALUE HIMETNUM
   1 = '0-2'
   2 = '3-5'
   3 = '6-8'
   4 = '9-18'
   5 = '19+'
   %mvallab
   ;

VALUE HIBUPNUM
   1 = '0-2'
   2 = '3'
   3 = '4-5'
   4 = '6-10'
   5 = '11<+'
   %mvallab
   ;

VALUE HIVIVNUM
   1 = '0-1'
   2 = '2'
   3 = '3'
   4 = '4-5'
   5 = '6+'
   %mvallab
   ;

VALUE HIMATNUM
   1 = '0-3'
   2 = '4-6'
   3 = '7-10'
   4 = '11-20'
   5 = '21+'
   %mvallab
   ;

VALUE HBED
   1='0-10'
   2='11-15'
   3='16-21'
   4='22-34'
   5='35+'
   %mvallab
   ;

VALUE RCMETNUM
   1 = '0-3'
   2 = '4-6'
   3 = '7-13'
   4 = '14-25'
   5 = '26+'
   %mvallab
   ;

VALUE RCBUPNUM
   1 = '0-2'
   2 = '3'
   3 = '4-5'
   4 = '6-9'
   5 = '10+'
   %mvallab
   ;

VALUE RCVIVNUM
   1 = '0-1'
   2 = '2'
   3 = '3-4'
   4 = '5-7'
   5 = '8+'
   %mvallab
   ;

VALUE RCMATNUM
   1 = '0-3'
   2 = '4-7'
   3 = '8-15'
   4 = '16-27'
   5 = '28+'

   %mvallab
   ;

VALUE RBED
   1='0-12'
   2='13-18'
   3='19-28'
   4='29-47'
   5='48+'
   %mvallab
   ;

VALUE OPMETNUM
   1 = '0-115'
   2 = '116-200'
   3 = '201-300'
   4 = '301-444'
   5 = '445+'
   %mvallab
   ;

VALUE OPBUPNUM
   1 = '0-3'
   2 = '4-9'
   3 = '10-20'
   4 = '21-45'
   5 = '46+'
   %mvallab
   ;

VALUE OPVIVNUM
   1 = '0-2'
   2 = '3'
   3 = '4-6'
   4 = '7-15'
   5 = '16+'
   %mvallab
   ;

VALUE OPMATNUM
   1 = '0-115'
   2 = '116-200'
   3 = '201-300'
   4 = '301-447'
   5 = '448+'
   %mvallab
   ;

VALUE BPCT
   1 = '0-28'
   2 = '29-50'
   3 = '51-60'
   4 = '61-80'
   5 = '81+'
   %mvallab
   ;

VALUE APCT
   1 = '0-10'
   2 = '11-20'
   3 = '21-25'
   4 = '26-40'
   5 = '41+'
   %mvallab
   ;

VALUE DPCT
   1 = '0-10'
   2 = '11-20'
   3 = '21-29'
   4 = '30-50'
   5 = '51+'
   %mvallab
   ;

VALUE $LST
   'AK'='Alaska'
   'AL'='Alabama'
   'AR'='Arkansas'
   'AZ'='Arizona'
   'CA'='California'
   'CO'='Colorado'
   'CT'='Connecticut'
   'DC'='District of Columbia'
   'DE'='Delaware'
   'FL'='Florida'
   'FM'='Fed States of Micronesia'
   'GA'='Georgia'
   'GU'='Guam'
   'HI'='Hawaii'
   'IA'='Iowa'
   'ID'='Idaho'
   'IL'='Illinois'
   'IN'='Indiana'
   'KS'='Kansas'
   'KY'='Kentucky'
   'LA'='Louisiana'
   'MA'='Massachusetts'
   'MD'='Maryland'
   'ME'='Maine'
   'MI'='Michigan'
   'MN'='Minnesota'
   'MO'='Missouri'
   'MS'='Mississippi'
   'MT'='Montana'
   'NC'='North Carolina'
   'ND'='North Dakota'
   'NE'='Nebraska'
   'NH'='New Hampshire'
   'NJ'='New Jersey'
   'NM'='New Mexico'
   'NV'='Nevada'
   'NY'='New York'
   'OH'='Ohio'
   'OK'='Oklahoma'
   'OR'='Oregon'
   'PA'='Pennsylvania'
   'PR'='Puerto Rico'
   'PW'='Rep of Palau'
   'RI'='Rhode Island'
   'SC'='South Carolina'
   'SD'='South Dakota'
   'TN'='Tennessee'
   'TX'='Texas'
   'UT'='Utah'
   'VA'='Virginia'
   'VI'='Virgin Islands'
   'VT'='Vermont'
   'WA'='Washington'
   'WI'='Wisconsin'
   'WV'='West Virginia'
   'WY'='Wyoming'
   'ZZ'='Other Jurisdictions'
   ;

VALUE STFIPS
   1='Alabama'
   2='Alaska'
   4='Arizona'
   5='Arkansas'
   6='California'
   8='Colorado'
   9='Connecticut'
   11='District of Columbia'
   10='Delaware'
   12='Florida'
   13='Georgia'
   15='Hawaii'
   16='Idaho'
   17='Illinois'
   18='Indiana'
   19='Iowa'
   20='Kansas'
   21='Kentucky'
   22='Louisiana'
   23='Maine'
   24='Maryland'
   25='Massachusetts'
   26='Michigan'
   27='Minnesota'
   28='Mississippi'
   29='Missouri'
   30='Montana'
   31='Nebraska'
   32='Nevada'
   33='New Hampshire'
   34='New Jersey'
   35='New Mexico'
   36='New York'
   37='North Carolina'
   38='North Dakota'
   39='Ohio'
   40='Oklahoma'
   41='Oregon'
   42='Pennsylvania'
   44='Rhode Island'
   45='South Carolina'
   46='South Dakota'
   47='Tennessee'
   48='Texas'
   49='Utah'
   50='Vermont'
   51='Virginia'
   53='Washington'
   54='West Virginia'
   55='Wisconsin'
   56='Wyoming'
   72='Puerto Rico'
   99='Other jurisdictions'
   ;

/*    Note: Client count variables are presented in three groups in the codebooks based on the conditions below */
/*    GROUP 1: OTP = 1  */


VALUE T_CLI1O
   1 = '0-5'
   2 = '6-10'
   3 = '11-16'
   4 = '17-24'
   5 = '25+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI2O
   1 = '0-5'
   2 = '6-13'
   3 = '14-20'
   4 = '21-40'
   5 = '41+'
   .  = "Logical skip/missing"
    ;

VALUE T_CLIHIO
   1='0-8'
   2='9-16'
   3='17-24'
   4='25-44'
   5='45+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI3O
   1 = '0-6'
   2 = '7-11'
   3 = '12-20'
   4 = '21-31'
   5 = '32+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI9O
   1 = '0-11'
   2 = '12-18'
   3 = '19-26'
   4 = '27-48'
   5 = '49+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI10O
   1 = '0-8'
   2 = '9-16'
   3 = '17-40'
   4 = '41-70'
   5 = '71+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIRCO
   1 = '0-16'
   2 = '17-25'
   3 = '26-40'
   4 = '41-79'
   5 = '80+'
   .  = "Logical skip/missing"
   ;


VALUE T_CLI7O
   1 = '0-3'
   2 = '4-5'
   3 = '6-10'
   4 = '11-24'
   5 = '25+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIMLO
   1 = '0-112'
   2 = '113-192'
   3 = '193-291'
   4 = '292-432'
   5 = '433+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI8O
   1 = '0-7'
   2 = '8-12'
   3 = '13-20'
   4 = '21-35'
   5 = '36+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI6O
   1 = '0-10'
   2 = '11-18'
   3 = '19-30'
   4 = '31-55'
   5 = '56+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI5O
   1 = '0-10'
   2 = '11-30'
   3 = '31-76'
   4 = '77-191'
   5 = '192+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIOPO
   1 = '0-128'
   2 = '129-216'
   3 = '217-320'
   4 = '321-479'
   5 = '480+'
   .  = "Logical skip/missing"
   ;

/*    Note: Client count variables are presented in three groups in the codebooks based on the conditions below */
/*    GROUP 2: OTP NE 1 AND DUI_DWI = 1   */


VALUE T_CLI1D
   1 = '0-2'
   2 = '3-4'
   3 = '5-7'
   4 = '8-12'
   5 = '13+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI2D
   1 = '0-4'
   2 = '5-8'
   3 = '9-15'
   4 = '16-30'
   5 = '31+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIHID
   1 = '0-4'
   2 = '5-8'
   3 = '9-15'
   4 = '16-27'
   5 = '28+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI3D
   1 = '0-2'
   2 = '3'
   3 = '4-6'
   4 = '7-11'
   5 = '12+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI9D
   1 = '0-6'
   2 = '7-11'
   3 = '12-18'
   4 = '19-30'
   5 = '31+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI10D
   1 = '0-7'
   2 = '8-13'
   3 = '14-22'
   4 = '23-42'
   5 = '43+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIRCD
   1 = '0-11'
   2 = '12-17'
   3 = '18-29'
   4 = '30-50'
   5 = '51+'
   .  = "Logical skip/missing"
   ;


VALUE T_CLI7D
   1 = '0-2'
   2 = '3-5'
   3 = '6-10'
   4 = '11-20'
   5 = '21+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIMLD
   1 = '0-3'
   2 = '4-8'
   3 = '9-20'
   4 = '21-37'
   5 = '38+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI8D
   1 = '0-4'
   2 = '5-8'
   3 = '9-15'
   4 = '16-30'
   5 = '31+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI6D
   1 = '0-6'
   2 = '7-12'
   3 = '13-21'
   4 = '22-40'
   5 = '41+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI5D
   1 = '0-15'
   2 = '16-30'
   3 = '31-57'
   4 = '58-110'
   5 = '111+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIOPD
   1 = '0-20'
   2 = '21-40'
   3 = '41-70'
   4 = '71-133'
   5 = '134+'
   .  = "Logical skip/missing"
   ;


/*    Note: Client count variables are presented in three groups in the codebooks based on the conditions below */
/*    GROUP 3: OTP NE 1 AND DUI_DWI NE 1  */

VALUE T_CLI1X
   1 = '0-2'
   2 = '3-4'
   3 = '5-7'
   4 = '8-12'
   5 = '13+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI2X
   1 = '0-4'
   2 = '5-8'
   3 = '9-15'
   4 = '16-28'
   5 = '29+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIHIX
   1 = '0-4'
   2 = '5-8'
   3 = '9-14'
   4 = '15-26'
   5 = '27+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI3X
   1 = '0-2'
   2 = '3-5'
   3 = '6-8'
   4 = '9-15'
   5 = '16+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI9X
   1 = '0-5'
   2 = '6-10'
   3 = '11-16'
   4 = '17-29'
   5 = '30+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI10X
   1 = '0-8'
   2 = '9-14'
   3 = '15-20'
   4 = '21-35'
   5 = '36+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIRCX
   1 = '0-10'
   2 = '11-16'
   3 = '17-24'
   4 = '25-40'
   5 = '41+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI7X
   1 = '0-2'
   2 = '3-5'
   3 = '6-10'
   4 = '11-25'
   5 = '26+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIMLX
   1 = '0-4'
   2 = '5-10'
   3 = '11-20'
   4 = '21-50'
   5 = '51+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI8X
   1 = '0-4'
   2 = '5-9'
   3 = '10-15'
   4 = '16-30'
   5 = '31+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI6X
   1 = '0-7'
   2 = '8-12'
   3 = '13-21'
   4 = '22-40'
   5 = '41+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLI5X
   1 = '0-10'
   2 = '11-21'
   3 = '22-42'
   4 = '43-87'
   5 = '88+'
   .  = "Logical skip/missing"
   ;

VALUE T_CLIOPX
   1 = '0-13'
   2 = '14-27'
   3 = '28-51'
   4 = '52-103'
   5 = '104+'
   .  = "Logical skip/missing"
   ;

*** *** All ;

value HOSPBED
   1 = '0-10'
   2 = '11-15'
   3 = '16-21'
   4 = '22-34'
   5 = '35+'
   %mvallab
   ;

value RESBED
   1 = '0-12'
   2 = '13-18'
   3 = '19-28'
   4 = '29-47'
   5 = '48+'
   %mvallab
   ;

************************************************************************;

VALUE HAGE
   1 = '0-2'
   2 = '3-4'
   3 = '5-10'
   4 = '11-17'
   5 = '18+'
   %mvallab
   ;

VALUE RAGE
   1 = '0-5'
   2 = '6-10'
   3 = '11-16'
   4 = '17-25'
   5 = '26+'
   %mvallab
   ;

VALUE OAGE
   1 = '0-3'
   2 = '4-6'
   3 = '7-12'
   4 = '13-25'
   5 = '26+'
   %mvallab
;

Value LICEN
	0		="Not licensed, certified, or accredited by any of these organizations"
	1		="Licensed, certified, or accredited by any of these organizations"
	.M		="Missing";


VALUE ACCRED
	0		="Not licensed, certified, or accredited by any of these organizations"
	1		="Licensed, certified, or accredited by any of these organizations"
	.M		="Missing";


VALUE INTKE
   1='Computer/Electronic only'
   2='Paper only'
   3='Both electronic and paper'
   %mvallab
   ;

RUN;
